package com.javaseleniumtemplate.flows;
import com.javaseleniumtemplate.pages.ImplantacaoEstoquePage;
import com.opencsv.bean.FieldMapByPosition;

import java.util.AbstractMap;


public class ImplantacaoEstoqueFlows {

    ImplantacaoEstoquePage implantacaoEstoquePage;
    public ImplantacaoEstoqueFlows(){
        implantacaoEstoquePage = new ImplantacaoEstoquePage();
    }

    public void aplicarFiltro(String descUnidade,String descAlmoxarifado){
        implantacaoEstoquePage.limparFiltro();
        implantacaoEstoquePage.selecionarUnidade();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.digitarNomeDaUnidade(descUnidade);
        implantacaoEstoquePage.clicarNaUnidadePesquisada();
        implantacaoEstoquePage.clicarNoIconeAlmoxarifado();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.digitarAlmoxarifado(descAlmoxarifado);
        implantacaoEstoquePage.clicarNoAlmoxarifadoPesquisado();
        implantacaoEstoquePage.clicarIconeData();
        implantacaoEstoquePage.selecionarDataInicialDoFiltro();
        implantacaoEstoquePage.confirmarData();
        implantacaoEstoquePage.aplicarFiltro();



    }
    public void AdicionarImplantacaoEstoque(String quantidade, String cmpDesc,String descProduto,String descAlmoxarifado,String DescCampoLote){

        implantacaoEstoquePage.clicarEmAdicionar();
        implantacaoEstoquePage.clicarCaixaTextoImplantacao();
        implantacaoEstoquePage.clicarEmLimpar();
        implantacaoEstoquePage.botaoCalendario();
        implantacaoEstoquePage.selecionarDataDoDiaDeHoje();
        implantacaoEstoquePage.campoDescricao(cmpDesc);
        implantacaoEstoquePage.clicarBotaoSalvar();
        implantacaoEstoquePage.clicarNoSegundoAdicionar();
        implantacaoEstoquePage.clicarNoIconeProduto();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.digitarNomeDoProduto(descProduto);
        implantacaoEstoquePage.selecionarProduto();
        implantacaoEstoquePage.limparCampoAlmoxarifado();
        implantacaoEstoquePage.clicarNoSegundoAlmoxarifado();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.digitarNoCampoPesquisaAlmoxarifado(descAlmoxarifado);
        implantacaoEstoquePage.selecionarSegundoAlmoxarifado();
        implantacaoEstoquePage.inserirLote(DescCampoLote);
        implantacaoEstoquePage.clicarBotaoCalendario();
        implantacaoEstoquePage.selecionarDataValidade();
        implantacaoEstoquePage.clicarBotaoConfirmar();
        implantacaoEstoquePage.clicarParaConfirmarMensagem();
        implantacaoEstoquePage.abaProdutoInserirQuantidade(quantidade);
        implantacaoEstoquePage.campoValorLiquido(quantidade);
        implantacaoEstoquePage.campoValorBruto(quantidade);
        implantacaoEstoquePage.selecionarBotaoSalvar();
        implantacaoEstoquePage.clicarEmAtualizar();
        implantacaoEstoquePage. clicarEmGravarImplantacao();
        implantacaoEstoquePage.estoqueAtualizadoComSucesso();
        implantacaoEstoquePage. atualizarPagina();


    }
    public void EditarImplantacaoEstoque(String cmpDesc2,String quantidadeEdit,String descProduto2,String descAlmoxarifado,String DescCampoLote){

        implantacaoEstoquePage.localizandoDescricao();
        implantacaoEstoquePage.clicarBotaoEditar();
        implantacaoEstoquePage.clicarCampoDescricao(cmpDesc2);
        implantacaoEstoquePage.clicarNoBotaoSalvar();
        implantacaoEstoquePage.clicarNaAbaProduto();
        implantacaoEstoquePage.clicarEmAdicionarProdutoEditado();
        implantacaoEstoquePage.clicarEmBuscar();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.adicionarSegundoProduto(descProduto2);
        implantacaoEstoquePage.selecionarSegundoProduto();
        implantacaoEstoquePage.clicarBotaoLimpar();
        implantacaoEstoquePage.clicarAlmoxarifadoParaEditar();
        implantacaoEstoquePage.campoBusca();
        implantacaoEstoquePage.campoAlmoxarifado(descAlmoxarifado);
        implantacaoEstoquePage.selecionarAlmoxarifado();
        implantacaoEstoquePage.inserirLote(DescCampoLote); //usei do intem anterior
        implantacaoEstoquePage.clicarBotaoCalendario();
        implantacaoEstoquePage.selecionarDataValidade();
        implantacaoEstoquePage.clicarBotaoConfirmar();
        implantacaoEstoquePage.clicarParaConfirmarMensagem();
        implantacaoEstoquePage.inserirNovaQuantidade(quantidadeEdit);
        implantacaoEstoquePage.inserirValorLiquido(quantidadeEdit);
        implantacaoEstoquePage.inserirValorBruto(quantidadeEdit);
        implantacaoEstoquePage.selecionarBotaoSalvar();
        implantacaoEstoquePage.clicarEmAtualizar();
        implantacaoEstoquePage. clicarEmGravarImplantacao();
        implantacaoEstoquePage.estoqueAtualizadoComSucesso();
        implantacaoEstoquePage. atualizarPagina();
    }

    public void ExcluirImplantacaoEstoque(){
        implantacaoEstoquePage.localizarDescricao();
        implantacaoEstoquePage.clicarExcluir();
        implantacaoEstoquePage.confirmarExcluirRegistro();
        implantacaoEstoquePage.alertaConfirmarExclusao();
            }

    public void ImportarImplantacaoDeEstoque(){
        implantacaoEstoquePage.clicarBotaoImportar();
        implantacaoEstoquePage.selecionarArquivo();
    }
}
