package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

import java.nio.Buffer;

public class FecharDiaPage extends PageBase {
    //Evento de loading da pagina:
    By loadingWait = By.xpath("//*[@class='zh-loading-desc ng-binding']");
    By BtnFecharDia = By.xpath("//span[text()='Fechar Dia']");

    By BtnOk = By.xpath("//span[text()='OK']");



    public void aguardarElementoFecharDia() {
        waitForInvisibilityOfElementLocated(loadingWait);
        waitForVisibilityOfElementLocated(BtnFecharDia);
    }
    public void clicarEmFecharDia(){
        click(BtnFecharDia);
        waitForInvisibilityOfElementLocated(loadingWait);
    }

    public void clicarEmOk(){
        waitForVisibilityOfElementLocated(BtnOk);
        click(BtnOk);
        waitForInvisibilityOfElementLocated(loadingWait);
    }


}
