<?php
namespace Teknisa\EST\Modules\EstoqueCego\Factories;

use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class Est92000ConsultaInventarioCegoFactory {
    protected $connection;
    protected $entityManager;

    public function __construct ($entityManager) {
        $this->connection = $entityManager->getConnection();
		$this->entityManager = $entityManager;
    }
    
    public function getFilialInfo($params){
        $sql = "SELECT NMFILIAL
                  FROM FILIAL
                 WHERE (CDFILIAL = :CDFILIAL)";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        $result = $std->fetch();
        
        return $result;
    }
}